Loading...
Searching...
No Matches
Crapinfo Class Reference

Crapinfo. More...

`#include <crapinfo.h>`

Inheritance diagram for Crapinfo:

## Public Member Functions

| Crapinfo (const int &window_theme_id, const QString &version, const QString &exec_path, const QString &conf_path, const QString &logdoc_path, QWidget *parent=nullptr)
| Class constructor. More...

## Detailed Description

Crapinfo.

Displays informations

## Constructor & Destructor Documentation

## Crapinfo()

Crapinfo::Crapinfo | ( | const int & | window_theme_id,
|  | const QString & | version,
|  | const QString & | exec_path,
|  | const QString & | conf_path,
|  | const QString & | logdoc_path,
|  | QWidget * | parent = `nullptr`
| ) |  |

Class constructor.

Parameters

  window_theme_id | The ID of the theme in use on the main window
  version | The version of LogDoctor actually running
  exec_path | The path of the executable
  conf_path | The path of the configuration file
  logdoc_path | The path of the additional resources folder
  parent | The parent Widget

The documentation for this class was generated from the following files:

- logdoctor/modules/crapinfo/crapinfo.h
- logdoctor/modules/crapinfo/crapinfo.cpp